Skip to content

assistants

Scout API 1.0.0 — see schemas for shared types.

GET /api/assistants

get_assistants

Parameters

Name In Type Required Description
type query AssistantType | null no

Responses

POST /api/assistants

create_assistant

Request body

Content-Type: application/json

Schema: CreateAssistantRequest

Responses

POST /api/assistants/

create_assistant

Request body

Content-Type: application/json

Schema: CreateAssistantRequest

Responses

GET /api/assistants/deleted

get_deleted_assistants

Parameters

Name In Type Required Description
type query AssistantType | null no

Responses

DELETE /api/assistants/{assistant_id}

delete_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

GET /api/assistants/{assistant_id}

get_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

PATCH /api/assistants/{assistant_id}

patch_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: PatchAssistantRequest

Responses

PUT /api/assistants/{assistant_id}

update_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: UpdateAssistantRequest

Responses

PUT /api/assistants/{assistant_id}/approved-external-services

approve_external_services

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: ApproveExternalServicesRequest

Responses

PUT /api/assistants/{assistant_id}/catalog-metadata

set_assistant_catalog_metadata

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: SetCatalogMetadataRequest

Responses

DELETE /api/assistants/{assistant_id}/permanent

permanently_delete_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

GET /api/assistants/{assistant_id}/public

get_public_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/restore

restore_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

automations

GET /api/assistants/{assistant_id}/automations

list_assistant_automations

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

avatar

GET /api/assistants/avatar/upload/content-types

get_allowed_avatar_content_types

Responses

GET /api/assistants/avatar/upload/content-types/

get_allowed_avatar_content_types

Responses

POST /api/assistants/{assistant_id}/avatar/generate

generate_avatar

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: GenerateAssistantAvatarRequest

Responses

  • 200 — OK
  • 422 — Unprocessable Content
  • application/jsonValidationError

POST /api/assistants/{assistant_id}/avatar/upload

upload_avatar

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: multipart/form-data

Schema: UploadAssistantAvatarForm

Responses

  • 200 — OK
  • 422 — Unprocessable Content
  • application/jsonValidationError

content

POST /api/assistants/{assistant_id}/content

add_assistant_content

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: AddAssistantContentRequest

Responses

data

DELETE /api/assistants/{assistant_id}/data

delete_asssitant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: DeleteAssistantDataRequest

Responses

GET /api/assistants/{assistant_id}/data

query_asssitant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/data

create_asssitant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: CreateAssistantDataRequest

Responses

PUT /api/assistants/{assistant_id}/data

bulk_update_assistant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: BulkUpdateAssistantDataRequest

Responses

DELETE /api/assistants/{assistant_id}/data/{data_id}

delete_asssitant_data_path

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
data_id path string (uuid) yes

Responses

PUT /api/assistants/{assistant_id}/data/{data_id}

update_asssitant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
data_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: UpdateAssistantDataRequest

Responses

favourites

GET /api/assistants/favourites

get_favourite_assistants

Responses

POST /api/assistants/favourites/reorder

reorder_favourites

Request body

Content-Type: application/json

Schema: ReorderFavouritesRequest

Responses

DELETE /api/assistants/{assistant_id}/favourite

remove_favourite_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/favourite

add_favourite_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

files

GET /api/assistants/{assistant_id}/files

get_assistant_files

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/files

upload_file_to_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: multipart/form-data

Schema: UploadAssistantFileForm

Responses

DELETE /api/assistants/{assistant_id}/files/{file_id}

delete_file_from_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
file_id path string (uuid) yes

Responses

PUT /api/assistants/{assistant_id}/files/{file_id}

update_file_information

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
file_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: UpdateAssistantFileRequest

Responses

functions

GET /api/assistants/{assistant_id}/functions

get_assistant_skill_functions

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/functions/{function_name}

execute_assistant_skill_function

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
function_name path string yes
conversation_id query string (uuid) | null no
delay query integer no
file_progress_name query string | null no

Request body

Content-Type: application/json

Schema: ExecuteSkillFunctionRequest

Responses

knowledge-bases

GET /api/assistants/{assistant_id}/knowledge-bases

list_assistant_knowledge_bases

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/knowledge-bases

attach_knowledge_base

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: KnowledgeBaseAttachBody

Responses

POST /api/assistants/{assistant_id}/knowledge-bases/create-and-attach

create_and_attach_knowledge_base

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: KnowledgeBaseCreateAndAttachBody

Responses

DELETE /api/assistants/{assistant_id}/knowledge-bases/{knowledge_base_id}

detach_knowledge_base

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
knowledge_base_id path string (uuid) yes

Responses

  • 204 — No Content
  • 422 — Unprocessable Content
  • application/jsonValidationError

PUT /api/assistants/{assistant_id}/knowledge-bases/{knowledge_base_id}

update_assistant_knowledge_base

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
knowledge_base_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: KnowledgeBaseUpdateBody

Responses

GET /api/assistants/{assistant_id}/knowledge-bases/{knowledge_base_id}/documents

list_assistant_knowledge_base_documents

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
knowledge_base_id path string (uuid) yes

Responses

list_assistant_web_links

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/web-links

add_web_link_to_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: AddKnowledgeBaseLinkBody

Responses

DELETE /api/assistants/{assistant_id}/web-links/{document_id}

delete_web_link_from_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
document_id path string (uuid) yes

Responses

  • 204 — No Content
  • 422 — Unprocessable Content
  • application/jsonValidationError

get_assistant_links

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/search

search_assistant_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: SearchAssistantDataRequest

Responses

skills

GET /api/assistants/{assistant_id}/skills

get_assistant_skills

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

DELETE /api/assistants/{assistant_id}/skills/{skill_id}

remove_skill_from_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
skill_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/skills/{skill_id}

add_skill_to_assistant

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
skill_id path string (uuid) yes

Responses

token

canvas_required_consent

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Responses

POST /api/assistants/{assistant_id}/user_token

assistant_user_token

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: application/json

Schema: AssistantUserTokenRequest

Responses

ui

POST /api/assistants/{assistant_id}/ui/deploy

deploy_assistant_ui

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes

Request body

Content-Type: multipart/form-data

Schema: DeployAssistantUIForm

Responses

GET /api/assistants/{assistant_id}/ui/{path}

get_assistant_ui

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
path path string (path) yes

Responses

user_data

GET /api/assistants/{assistant_id}/user_data/{key}

get_user_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
key path string yes

Responses

POST /api/assistants/{assistant_id}/user_data/{key}

set_user_data

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
key path string yes

Request body

Content-Type: application/json

Schema: SetAssistantUserDataRequest

Responses

webhooks

POST /api/assistants/{assistant_id}/webhooks/{webhook_path}

webhook

Parameters

Name In Type Required Description
assistant_id path string (uuid) yes
webhook_path path string yes

Responses